MiniMax H3 Reference to Video LoRA Trainer
集成
模型 id
minimax/h3/ref2va/trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/ref2va/trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/ref2va/trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/ref2va/trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/h3/ref2va/trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
}
}
通过 Doitong API 调用 MiniMax H3 Reference to Video LoRA Trainer 模型(minimax/h3/ref2va/trainer)。智能体文档:https://doitong.com/zh/developers/models/minimax/h3/ref2va/trainer.md
POST https://vit.doitong.com/api/v1/run/minimax/h3/ref2va/trainer?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"training_data_url": "https://example.com/your-file.zip"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://vit.doitong.com/api/v1/quote/minimax/h3/ref2va/trainer,可在运行前返回确切价格。
此请求: $30.00 30,000 API 积分 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/minimax/h3/ref2va/trainer?wait=20
报价 → $30.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3/ref2va/trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3/ref2va/trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3/ref2va/trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/h3/ref2va/trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"wait_seconds": 20
}
}
}
关于 MiniMax H3 Reference to Video LoRA Trainer
根据主体视频片段的 zip 文件训练 LoRA,使参考输入能够引导视频生成。`reference_conditioning_p` 设置训练期间使用参考内容的频率,`resume_from_lora_url` 从之前训练的 LoRA 继续训练。还可配置:`rank`、`number_of_steps`、`number_of_frames`、`frame_rate` 和 `aspect_ratio`。返回权重和配置文件。
参数
名称类型
默认值允许值
描述
training_data_url必填
类型string
主题训练视频 ZIP 的 URL;纯图像数据集和混合图像/视频训练压缩包会被拒绝,因此图像必须改为参考侧载资源。可选附加文件与每个片段共享基本名称:例如说明文件 `clip01.txt`,以及从 `ref_1` 到 `ref_4` 的有序参考文件,命名为 `clip01.ref_1.<ext>` 到 `clip01.ref_4.<ext>`;没有参考侧载资源时,会使用片段中的一帧作为自身参考。`<ext>` 决定参考模态:图像 (.png/.jpg/.jpeg)、音频 (.wav/.mp3/.flac/.m4a/.ogg/.aac) 或视频 (.mp4/.mov/.avi/.mkv/.webm),其中视频的音轨也会成为音频参考。训练片段支持 .mp4、.mov、.avi 和 .mkv;建议至少提供 10 个片段,越多越好。
rank可选
类型enum
默认值32
8163264128
LoRA 适配秩;该值越高,容量越大,但内存消耗也越高。
number_of_steps可选
类型integer
默认值2000
1 – 15,000
训练步数总数。
learning_rate可选
类型number
默认值0.0002
0.000001 – 1
优化学习率,在训练速度可能提升与增大后过拟合风险之间进行权衡。
number_of_frames可选
类型integer
默认值73
22 – 124
每个训练样本的帧数;将其除以 17 后余数必须为 5。示例包括 22、39、56、73、90、107 和 124。
frame_rate可选
类型integer
默认值24
8 – 60
目标视频帧率,以每秒帧数表示。
resolution可选
类型enum
默认值medium
lowmediumhigh
训练分辨率。提高分辨率会增加内存需求。
aspect_ratio可选
类型enum
默认值16:9
21:916:94:31:13:49:16
从 MiniMax H3 API 提供的同一组选项中选择训练宽高比。
trigger_phrase可选
类型string
默认值
LoRA 样式激活短语,训练期间插入字幕开头。
reference_conditioning_p可选
类型number
默认值0.9
0 – 1
设置训练使用参考图像条件与无条件文本生成视频音频训练的频率。剩余概率用于无条件目标,以保持仅依赖提示词生成时的稳定性。
resume_from_lora_url可选
类型string | null
使用此训练器之前创建的 .safetensors LoRA URL 进行热启动训练,随后执行 number_of_steps 个额外训练步骤。除适配器权重外不会恢复任何内容:优化和学习率调度都会重新开始。
auto_scale_input可选
类型boolean
默认值false
是否通过自动视频缩放匹配目标 fps 和帧数;true 表示启用此调整。
split_input_into_scenes可选
类型boolean
默认值true
为超过时长阈值的视频启用场景切分;被切分片段的参考侧载资源会被丢弃。
split_input_duration_threshold可选
类型number
默认值30
1 – 60
以秒数表示的场景拆分触发阈值:只有超过该时长的视频才会被拆分。
debug_dataset可选
类型boolean
默认值false
在正式开始完整训练前下载压缩包以检查预处理。启用后,训练器会打包处理后的数据集,以便手动检查说明、参考图像、视频和图像是否正确。
strict_dataset可选
类型boolean
默认值false
严格处理预处理问题,否则这些问题会被记录并使用文档所述的回退方案解决。启用后,如果说明需要空提示词、缺少参考侧载资源或视频音频无法读取,请求会被拒绝,而不是使用这些回退方案。
必填
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/h3/ref2va/trainer",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 30000,
"usd": "30.00",
"charged": 30000,
"refunded": 0
},
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"output": {
"lora_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"config_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_dataset": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- lora_file
- object {url, content_type, file_name, file_size}采用 .safetensors 格式的已训练 LoRA 权重 URL。
- config_file
- object {url, content_type, file_name, file_size}推理端点设置的配置。
- debug_dataset
- object {url, content_type, file_name, file_size} | null仅适用于启用 `debug_dataset` 的请求;此可下载压缩包包含预处理后的训练数据。
其他 MiniMax H3 变体
更多模型:训练
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/minimax/h3/ref2va/trainer.md. 所有模型和指南: https://doitong.com/developers/llms.txt